# Uses of Interface
javax.xml.crypto.dsig.SignedInfo

Packages that use SignedInfo
Package
Description
javax.xml.crypto.dsig
Classes for generating and validating XML digital signatures.

## Uses of SignedInfo in javax.xml.crypto.dsig

Methods in javax.xml.crypto.dsig that return SignedInfo
Modifier and Type
Method
Description
`SignedInfo`
XMLSignature.`getSignedInfo()`
Returns the signed info of this `XMLSignature`.
`abstract SignedInfo`
XMLSignatureFactory.`newSignedInfo​(CanonicalizationMethod cm, SignatureMethod sm, List<? extends Reference> references)`
Creates a `SignedInfo` with the specified canonicalization and signature methods, and list of one or more references.
`abstract SignedInfo`
XMLSignatureFactory.`newSignedInfo​(CanonicalizationMethod cm, SignatureMethod sm, List<? extends Reference> references, String id)`
Creates a `SignedInfo` with the specified parameters.
Methods in javax.xml.crypto.dsig with parameters of type SignedInfo
Modifier and Type
Method
Description
`abstract XMLSignature`
XMLSignatureFactory.`newXMLSignature​(SignedInfo si, KeyInfo ki)`
Creates an `XMLSignature` and initializes it with the contents of the specified `SignedInfo` and `KeyInfo` objects.
`abstract XMLSignature`
XMLSignatureFactory.`newXMLSignature​(SignedInfo si, KeyInfo ki, List<? extends XMLObject> objects, String id, String signatureValueId)`
Creates an `XMLSignature` and initializes it with the specified parameters.